From 2ec4c207d380bf3b97435fdf66cdb00975a1aff3 Mon Sep 17 00:00:00 2001
From: Michel Ludwig <michel.ludwig@kdemail.net>
Date: Sun, 13 May 2018 11:59:06 +0200
Subject: Silence CMake's CMP0071 policy warning

---
 src/CMakeLists.txt | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index e1fdeb3..1398384 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -188,6 +188,9 @@ set(kile_KCFG_SRCS kileconfig.kcfgc)
 
 kconfig_add_kcfg_files(kile_SRCS ${kile_KCFG_SRCS})
 
+set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.h" PROPERTIES SKIP_AUTOMOC ON)   # otherwise we get a warning about
+set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.cpp" PROPERTIES SKIP_AUTOMOC ON) # the CMP0071 policy (with CMake 3.11)
+
 # add icon to executable on windows and mac;
 # workaround: as ecm_add_app_icon and kf5_add_kdeinit_executable don't work well together,
 # we use a variable named 'kile' at this point
-- 
cgit v1.1
